package com.bocloud.cmp.model;

/**
 * 机柜—设备关系类
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.02.26
 */
public class RackDevice {
    private Long rackId; // 机柜ID
    private Integer slotStart; // 卡槽起始点
    private Integer slotNum; // 卡槽数量
    private Long deviceId; // 设备ID

    /**
     * @return the rackId
     */
    public Long getRackId() {
        return rackId;
    }

    /**
     * @param rackId the rackId to set
     */
    public void setRackId(Long rackId) {
        this.rackId = rackId;
    }

    /**
     * @return the slotStart
     */
    public Integer getSlotStart() {
        return slotStart;
    }

    /**
     * @param slotStart the slotStart to set
     */
    public void setSlotStart(Integer slotStart) {
        this.slotStart = slotStart;
    }

    /**
     * @return the slotNum
     */
    public Integer getSlotNum() {
        return slotNum;
    }

    /**
     * @param slotNum the slotNum to set
     */
    public void setSlotNum(Integer slotNum) {
        this.slotNum = slotNum;
    }

    /**
     * @return the deviceId
     */
    public Long getDeviceId() {
        return deviceId;
    }

    /**
     * @param deviceId the deviceId to set
     */
    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }
}
